#include <bits/stdc++.h>

using namespace std;

using vi = vector<int>;
using vvi = vector<vi>;
using pq = priority_queue<int, vector<int>, greater<int> >;
using ll = unsigned long long;
using vll = vector<ll>;

int dfs_sons(vvi& G, vi& V, int x, int p = -1) {
  V[x] = 1;
  for (auto y : G[x]) {
    if (y != p) {
      V[x] += dfs_sons(G, V, y, x);
    }
  }
  return V[x];
}

int dfs_cent(vvi& G, vi&V, int x, int n, int p = -1) {
  for (auto y : G[x]) {
    if (y != p && 2*V[y] >= n) {
      return dfs_cent(G, V, y, n, x);
    }
  }	  
  return x;
}

const int N = 500000 + 1;

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);
  
  int n;
  cin >> n;

  vvi G(n);
  for (int i = 0; i < n-1; ++i) {
    int x, y;
    cin >> x;
    --x;
    y = i + 1;
    G[x].push_back(y);
    G[y].push_back(x);
  }

  vi V(n);
  dfs_sons(G, V, 0);
  int cent = dfs_cent(G, V, 0, n);

  dfs_sons(G, V, cent);
  
  pq Q;
  for (auto y : G[cent]) {
    Q.push(V[y]);
  }

  vi S;
  while (!Q.empty()) {
    int val = Q.top(); Q.pop();
    int cont = 1;
    
    while (!Q.empty() && val == Q.top()) {
      Q.pop();
      ++cont;
    }

    S.push_back(val);
    --cont;

    for (int i = 2; i <= cont; i <<= 1) {
      Q.push(i*val);
      cont -= i;
    }

    if (cont == 1) {
      S.push_back(val);
    }
    else if (cont) {
      Q.push(cont*val);
    }
  }

  bitset<N> M(1);
  for (auto val : S) M |= (M << val);

  ll res = 0;

  for (int i = n/2; i >= 0; --i) {
    if (M[i]) {
      res = ll(i)*ll(n-1-i);
      cerr << i << " " << res << " " << M[i >> 6] << endl;
      break;
    }
  }

  for (auto val : V) {
    res += ll(val);
  }

  cout << res << endl;
}
