#include <bits/stdc++.h>

using namespace std;

using vi = vector<int>;
using vvi = vector<vi>;
using pq = priority_queue<int, vector<int>, greater<int> >;
using ll = unsigned long long;
using vll = vector<ll>;

int dfs_sons(vvi& G, vi& V, int x, int p = -1) {
  V[x] = 1;
  for (auto y : G[x]) {
    if (y != p) {
      V[x] += dfs_sons(G, V, y, x);
    }
  }
  return V[x];
}

int dfs_cent(vvi& G, vi&V, int x, int n, int p = -1) {
  for (auto y : G[x]) {
    if (y != p && 2*V[y] >= n) {
      return dfs_cent(G, V, y, n, x);
    }
  }	  
  return x;
}

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);
  int n;
  cin >> n;

  vvi G(n);
  for (int i = 0; i < n-1; ++i) {
    int x, y;
    cin >> x;
    --x;
    y = i + 1;
    G[x].push_back(y);
    G[y].push_back(x);
  }

  vi V(n);
  dfs_sons(G, V, 0);
  int cent = dfs_cent(G, V, 0, n);

  dfs_sons(G, V, cent);
  
  vi S;
  for (auto x : G[cent]) {
    S.push_back(V[x]);
  }

  int k = (n/2)/64 + 2;

  vll M(k, 0);
  M[0] = 1;

  for (auto val : S) {
    for (int i = k-1; i >= 0; --i) {
      {
        int ind = (i+1)*64 - 1 - val;

	if (ind < 0) break;

        int ind_i = ind/64;
        int ind_s = 63 - ind%64;

	M[i] |= M[ind_i] << ind_s;
      }
      {
        int ind = (i)*64 - val;
	
	if (ind < 0) break;

        int ind_i = ind/64;
        int ind_s = ind%64;

	M[i] |= M[ind_i] >> ind_s;
      }
    }  
  }

  ll res = 0;

  for (int i = n/2; i >= 0; --i) {
    if ((M[i/64] >> (i%64)) & 1ll) {
      res = ll(i)*ll(n-1-i);
      cerr << i << " " << res << endl;
      break;
    }
  }

  for (auto val : V) {
    res += ll(val);
  }

  cout << res << endl;
}
