#include <bits/stdc++.h>
using namespace std;

const int N2 = 500000 + 1;
const int N = 2*N2;
int P[N];
int V[N];
int cnt[N];
 

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n;
    cin >> n;
    for (int i = 2; i <= n; ++i) cin >> P[i];
    
    for (int v = n; v >= 1; v--) {
        V[v]++;
        V[P[v]] += V[v];
    }
    int centroid = 1;
    for (int v = 2; v <= n; v++) if (2*V[v] >= n) centroid = v;

    int bef = 0;
    int v = centroid;
    while (v) {
        swap(bef, V[v]);
        V[v] = n - V[v];
        v = P[v];
    }
    vector<int> vec;
    
    if (P[centroid]) vec.push_back(V[P[centroid]]);
    for (int v = 2; v <= n; v++) if (P[v] == centroid) vec.push_back(V[v]);

    int Z = n/2;
    if (vec.size() < 50000) { // quadratic with bitset
        bitset<500100> feasible;
        feasible[0] = true;
        for (int x: vec) feasible |= feasible << x;
        Z = n/2;
        while (!feasible[Z]) Z--;
    } else {
        vector<int> mods = {16, 27, 25, 7, 11, 13, 17, 19, 23, 29};
        vector<vector<int>> compatible;
        for (int m: mods) {
            vector<int> feasible(m, false);
            vector<int> new_feasible(m, false);
            feasible[0] = true;
            for (int x: vec) {
                x %= m;
                for (int i = 0; i < m; i++) new_feasible[(i + x) % m] = feasible[i];
                for (int i = 0; i < m; i++) feasible[i] = feasible[i] | new_feasible[i];
            }
            compatible.push_back(feasible);
        }
        while (1) {
            bool works = true;
            for (int i = 0; i < (int)mods.size(); i++)
                works &= compatible[i][Z % mods[i]];
            if (works) break;
            Z--;
        }
    }
 
    long long res = ((long long)Z) * (n-1-Z);
    for (int v = 1; v <= n; v++) res += V[v];
 
    cout << res << "\n";
}
